Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSpinnerOperator.NumberScrollAdjuster

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.JSpinnerOperator.NumberScrollAdjuster

All Implemented Interfaces:
  ScrollAdjuster

Enclosing class:
  JSpinnerOperator

public static class JSpinnerOperator.NumberScrollAdjuster
extends java.lang.Object
implements ScrollAdjuster

A `ScrollAdjuster` to be used for `JSpinner` component having `SpinnerNumberModel` model.

See Also:
  `NumberSpinnerOperator`

Fields inherited from interface org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster
`DECREASE_SCROLL_DIRECTION, DO_NOT_TOUCH_SCROLL_DIRECTION, INCREASE_SCROLL_DIRECTION`

Constructor Summary
`JSpinnerOperator.NumberScrollAdjuster(JSpinnerOperator oper, double value)` Constructs a `NumberScrollAdjuster` object.
`JSpinnerOperator.NumberScrollAdjuster(JSpinnerOperator oper, java.lang.Number value)` Constructs a `NumberScrollAdjuster` object.

Method Summary
`java.lang.String` | `getDescription()` Returns a printable scrolling description.
`int` | `getScrollDirection()` Returns scroll direction to reach necessary scroller value.
`int` | `getScrollOrientation()` Returns scrolling orientation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSpinnerOperator.NumberScrollAdjuster

    public JSpinnerOperator.NumberScrollAdjuster(JSpinnerOperator oper,
                                                 double value)

  Constructs a `NumberScrollAdjuster` object.
  Parameters:
    `oper` - an operator to work with.
    `value` - a value to scroll to.

### JSpinnerOperator.NumberScrollAdjuster

    public JSpinnerOperator.NumberScrollAdjuster(JSpinnerOperator oper,
                                                 java.lang.Number value)

  Constructs a `NumberScrollAdjuster` object.
  Parameters:
    `oper` - an operator to work with.
    `value` - a value to scroll to.

Method Detail

### getScrollDirection

    public int getScrollDirection()

  Description copied from interface: `ScrollAdjuster`
  Returns scroll direction to reach necessary scroller value.
  Specified by:
    `getScrollDirection` in interface `ScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    one of the values: INCREASE_SCROLL_DIRECTION, DECREASE_SCROLL_DIRECTION or DO_NOT_TOUCH_SCROLL_DIRECTION.

### getScrollOrientation

    public int getScrollOrientation()

  Description copied from interface: `ScrollAdjuster`
  Returns scrolling orientation.
  Specified by:
    `getScrollOrientation` in interface `ScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    one of the values: Adjustable.HORIZONTAL or Adjustable.VERTICAL.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ScrollAdjuster`
  Returns a printable scrolling description.
  Specified by:
    `getDescription` in interface `ScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    a description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD